Bug 594895 - gui window very difficult to read
gui window very difficult to read
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: report (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Gavin Romig-Koch
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 594897 594898
  Show dependency treegraph
 
Reported: 2010-05-21 17:30 EDT by Gavin Romig-Koch
Modified: 2012-08-16 18:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 594897 (view as bug list)
Environment:
Last Closed: 2012-08-16 18:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
change the regular buttons to a set of radioButton's (1.98 KB, patch)
2010-06-18 23:35 EDT, Ian Page Hands
no flags Details | Diff

  None (edit)
Description Gavin Romig-Koch 2010-05-21 17:30:59 EDT
The GTK GUI window that asks "Where would you like to send this report?" is very difficult to read.  It displays a row of buttons horizontally which, if there is lots of buttons, will stretch across the screen, and could stretch off the screen.

A better way would be to display the buttons vertically.

Also, the title in the window manager bar above the window is just "Query", haveing it repeat the question "Where would ..." would be better.
Comment 1 Gavin Romig-Koch 2010-06-17 13:39:31 EDT
Pushed to fedorahosted src repo/master branch.
Comment 2 Ian Page Hands 2010-06-18 23:35:07 EDT
Created attachment 425290 [details]
change the regular buttons to a set of radioButton's

Gavin,

I did notice your previous update, but I figured this bug would be fun/simple to hack on anyway.

Feel free to test/use this patch. It should apply to the latest HEAD commit. The approach I took was using radio buttons in place of (normal??) buttons.

-Ian Page Hands
Comment 3 Gavin Romig-Koch 2010-06-20 00:22:18 EDT
(In reply to comment #2)

Ian, will look at this as soon as i can.
Comment 4 Bug Zapper 2010-07-30 07:40:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2012-08-16 18:32:23 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.